ACPIDOCK(4)

NAME
acpidock - ACPI docking station

SYNOPSIS
acpidock* at acpi?

DESCRIPTION
The acpidock driver supports ACPI docking stations. Docking stations are units that, for example, laptops may attach to in order to expose a number of additional hardware devices. The acpidock driver handles docking and undocking machines to gracefully detach external devices.

When docking and undocking, an event is passed to the driver which is then reacted upon. For undocking, this event is usually triggered by pressing a button on the docking station or using a special keyboard combination; for docking, the machine usually just has to be inserted.

The acpidock driver sets up a sensor that indicates docking state that can be used with sensorsd(8) to perform events when docking or undocking.

SEE ALSO
acpi(4), intro(4), sensorsd(8)

HISTORY
The acpidock driver first appeared in OpenBSD 4.1.

AUTHORS
-nosplit The acpidock driver was written by Michael Knudsen <mk@openbsd.org>.